Page MenuHomePhabricator

Provide python 3.8 in CI test images
Closed, ResolvedPublic

Event Timeline

Change 643776 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [tox] Add Python 3.8 support and cascade

https://gerrit.wikimedia.org/r/643776

Hi, thanks for your work on this task! Is my understanding correct that this blocks on T241195?

Hi, thanks for your work on this task! Is my understanding correct that this blocks on T241195?

Yes, this is blocked by that, unfortunately.

Change 643776 merged by jenkins-bot:
[integration/config@master] dockerfiles: [tox-buster] Provide, for Python 3.8 support

https://gerrit.wikimedia.org/r/643776

tox-buster itself now has 3.8, and jobs can be switched to that if they want to run on 3.8 specifically. Derivative images will have to be switched over one by one; for some this is trivial, for others they'll need to work out what they can install instead if their original needs from stretch aren't met by buster.